Re: AS 1.5b5 Pager compile error.

Ethan (allanon@crystaltokyo.com)
Wed, 4 Nov 1998 15:25:07 -0800 (PST)



On Wed, 4 Nov 1998, P.J. Bolle wrote:

> 	I just finished compiling and installing AS 1.5beta5, but
> realized all too quickly that a piece of it went awry. I found out
> upon restart that the Pager did not compile properly. Everything else
> worked, save this one.

Sounds like your version of the jpeg library may be too old.  METHODDEF 
should be defined in /usr/include/jmorecfg.h as:

/* a function called through method pointers: */
#define METHODDEF(type)     static type

I'd suggest upgrading to libjpeg-6a or better, if you have an older 
version.  Hopefully there isn't a newer, incompatible one. :)

----
Ethan Fischer
allanon@crystaltokyo.com
http://members.xoom.com/allanon1


--
   WWW:   http://www.afterstep.org/
   FTP:   ftp://ftp.afterstep.org/
   MAIL:  http://www.caldera.com/linuxcenter/forums/afterstep.html